<template>
  <div
    :class="['drop', {'is-dragging': isDragging}]"
    @drop.stop="onDrop"
    @dragover.prevent="dropOver"
    @dragenter.prevent
  >
    <slot/>
  </div>
</template>

<script>
  export default {

    data() {
      return {
        isDragging: false
      }
    },

    methods: {
      dropOver() {
        this.isDragging = true;
      },

      onDrop (e) {
        this.isDragging = false;
        const transferData = JSON.parse(e.dataTransfer.getData('payload'))
        this.$emit('drop', transferData)
      }
    }
  }
</script>

<style lang="scss" scoped>

</style>